Maintained by: NLnet Labs

[Unbound-users] Problems with pythonmodule (versions 1.4.4 and 1.4.5)

Leandro Tino
Tue Jul 20 20:06:03 CEST 2010


ok, Carsten.

That was the problem. I've installed Fedora 12 with swig 1.3.40 and  
everything worked ok.

I copied unboundmodule.py from pythonmod directory to unbound home  
directory though, to avoid problems to unbound when wants to locate  
that file. At least that way worked for me.

Thanks!

Leandro C. Tino | IT evoluxion
Viamonte 577 Piso 8º, Capital Federal, Buenos Aires, Argentina


On Jul 13, 2010, at 8:04 AM, Carsten Strotmann wrote:

> Hello Leandro,
>
> I've seen the same error you see on 1.4.5 when compiling unbound on
> Debian 4.x. I do not see the error on Debian 5.x or Ubuntu. I guess  
> the
> swig system is too old on your system. On Ubuntu I have Swig version  
> 1.3.40.
>
> -- Carsten Strotmann
>
> On 7/12/10 8:56 PM, Leandro wrote:
>> Hi Paul,
>>
>> Swig doesn't seem to be the problem!
>>
>> [root at rhel54ca-vm5 ~]# yum list installed | grep -i swig
>>
>> *swig.x86_64                                1.3.29-2.el5
>> installed*
>>
>> Furthermore, 1.4.4 does not show that error, even though it is
>> installed with 1.4.5 in the same box...
>>
>> Thanks!
>> Leandro.
>>
>>
>>
>> On Jul 12, 2010, at 2:50 PM, Paul Wouters wrote:
>>
>>> On Mon, 12 Jul 2010, Leandro wrote:
>>>
>>>> Subject: [Unbound-users] Problems with pythonmodule (versions 1.4.4
>>>> and 1.4.5)
>>>> Hi all,
>>>> Trying with both unbound-1.4.4 and unbound-1.4.5, I've got  
>>>> different
>>>> problems when enable python modules. In both cases, configuration  
>>>> is
>>>> done
>>>> --with-pythonmodule, and set unbound.conf as follows:
>>>>        module-config: "validator python iterator"
>>>>        python-script: "/usr/local/etc/unbound/e1.py"
>>>> #where e1.py is the same
>>>> as http://www.unbound.net/documentation/pythonmod/examples/example0.html 
>>>>  (Fundamentals)
>>>> I'm lost here! Could you please lend me a hand?
>>>> Please find history below with both versions.
>>>
>>> Try: yum/apt-get install swig
>>>
>>> Looks like you are missing the swig python package.
>>>
>>> Paul
>>
>> *Leandro C. Tino | *IT evol**ux**ion* | leandro at itevoluxion.com
>> <mailto:leandro at itevoluxion.com>*
>> *Viamonte 577 Piso 8º, Capital Federal, Buenos Aires, Argentina | +54
>> 11 4313 5201*
>>
>>
>> _______________________________________________
>> Unbound-users mailing list
>> Unbound-users at unbound.net
>> http://unbound.nlnetlabs.nl/mailman/listinfo/unbound-users
>
> _______________________________________________
> Unbound-users mailing list
> Unbound-users at unbound.net
> http://unbound.nlnetlabs.nl/mailman/listinfo/unbound-users

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://unbound.nlnetlabs.nl/pipermail/unbound-users/attachments/20100720/392f554a/attachment-0001.htm>